Bug 1393409 - [RFE] Enable Process Recycling for Pulp Worker Processes
Summary: [RFE] Enable Process Recycling for Pulp Worker Processes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: Unspecified
Assignee: Martin Bacovsky
QA Contact: Justin Sherrill
URL:
Whiteboard:
Depends On: 1388631 1405513
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-09 13:22 UTC by Martin Bacovsky
Modified: 2021-04-06 18:12 UTC (History)
21 users (show)

Fixed In Version: katello-3.4.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1388631
Environment:
Last Closed: 2018-02-21 12:36:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17298 0 None None None 2016-11-21 19:12:50 UTC
Pulp Redmine 2172 0 Normal CLOSED - CURRENTRELEASE Memory Improvements with Process Recycling 2016-12-19 16:01:56 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Comment 2 pulp-infra@redhat.com 2016-11-10 15:31:41 UTC
The Pulp upstream bug status is at ON_QA. Updating the external tracker on this bug.

Comment 3 pulp-infra@redhat.com 2016-11-10 15:31:45 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 4 pulp-infra@redhat.com 2016-12-09 17:31:37 UTC
The Pulp upstream bug status is at VERIFIED. Updating the external tracker on this bug.

Comment 5 pulp-infra@redhat.com 2016-12-19 16:01:57 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 6 Michael Hrivnak 2016-12-19 20:58:43 UTC
Changing component since the next steps are for Katello to take.

Comment 7 Bryan Kearney 2016-12-19 21:15:37 UTC
Upstream bug assigned to mbacovsk@redhat.com

Comment 8 Bryan Kearney 2016-12-19 21:15:44 UTC
Upstream bug assigned to mbacovsk@redhat.com

Comment 9 pm-sat@redhat.com 2017-03-13 18:14:52 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17298 has been resolved.

Comment 10 Justin Sherrill 2017-08-02 20:42:35 UTC
tested on Sat 6.3.0 snap 9, i believe that some change did not make the build.  


the pids of my workers don't seem to change after syncing:

# ps aux | grep worker | grep python | awk '{print $2}' | sort
16600
16655
16658
16793
16794
16797

and it does not seem to be set (note its commented out):

in /etc/default/pulp_workers

# PULP_MAX_TASKS_PER_CHILD=2

Comment 11 Tanya Tereshchenko 2017-08-02 21:32:08 UTC
FYI, there is a bug - BZ#1472584 PULP_MAX_TASKS_PER_CHILD is disabled in 6.3.0.

Comment 16 Justin Sherrill 2017-09-06 14:02:48 UTC
verified ON 6.3 SNAP 14.0

PID changes between syncs:

[root@jsherrill-test ~]# ps aux | grep worker | grep python | awk '{print $2}' | sort
2156
30940
30943
31027
31043
31139
[root@jsherrill-test ~]# ps aux | grep worker | grep python | awk '{print $2}' | sort
2156
30940
30943
31027
31043
31139


and PULP_MAX_TASKS_PER_CHILD is set to 2

Comment 19 errata-xmlrpc 2018-02-21 12:36:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.